Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ListPresentable<P extends ListPresentation>

Type Parameters:
  `P` - The type of embed-able `ListPresentation` this item uses

All Known Subinterfaces:
  LibraryMenuComponent, LibraryNavigatorComponent, LibraryPersonalizationComponent, LibrarySearchComponent

    public interface ListPresentable<P extends ListPresentation>

Represents an item that is rendered as a list

Method Summary
`P` | `getEmbeddedListPresentation()` Returns the 'embedded' list presentation for this `ListPresentable`
`DocumentId<LibraryListPresentationComponent>` | `getExternalListPresentationId()` Returns a reference to the 'external' `LibraryListPresentationComponent` that is specified to the render the results for this `ListPresentable`
`boolean` | `hasExternalListPresentation()` Indicates if an external list presentation is specified
`void` | `setExternalListPresentationId(DocumentId<LibraryListPresentationComponent> p_listPresentationId)` Specifies the 'external' `LibraryListPresentationComponent` that should be used to the render the results for this `ListPresentable`

Method Detail

### getEmbeddedListPresentation

    P getEmbeddedListPresentation()

  Returns the 'embedded' list presentation for this `ListPresentable`

  Returns:
    the 'embedded' list presentation for this `ListPresentable`

### getExternalListPresentationId

    DocumentId<LibraryListPresentationComponent> getExternalListPresentationId()
                                                                               throws AuthorizationException,
                                                                                      PropertyRetrievalException

  Returns a reference to the 'external' `LibraryListPresentationComponent` that is specified to the render the results for this `ListPresentable`

  Returns:
    a a reference to the 'external' `LibraryListPresentationComponent` for this `ListPresentable` or `NULL` if this `ListPresentable` is using its 'embedded' presentation
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access to the `LibraryListPresentationComponent`
    `PropertyRetrievalException` - if the `LibraryListPresentationComponent` id cannot be retrieved

### setExternalListPresentationId

    void setExternalListPresentationId(DocumentId<LibraryListPresentationComponent> p_listPresentationId)

  Specifies the 'external' `LibraryListPresentationComponent` that should be used to the render the results for this `ListPresentable`

  When an 'external' `LibraryListPresentationComponent` is specified, then the 'embedded' version is ignored

  Parameters:
    `p_listPresentationId` - The `LibraryListPresentationComponent` to use OR `NULL` to enforce usage of the 'embedded' `ListPresentation`

### hasExternalListPresentation

    boolean hasExternalListPresentation()

  Indicates if an external list presentation is specified

  Returns:
    if an external list presentation is specified

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD